%bcond_without bootstrap

Name:       ibus-table-cangjie
Version:    1.1.0.20090309
Release:    6%{?dist}
Summary:    Cang Jie input methods for ibus-table
License:    Public Domain and GPLv2+ 
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    COPYING.tables

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

# for noarch pkgconfig
BuildRequires: ibus-table >= 1.1.0.20090220-5
%if %{with bootstrap}
BuildRequires:  gettext-devel >= 0.17, automake >= 1.10.2
%endif
Requires(post):   ibus-table > 1.1.0

%description
The package contains Cang Jie input methods for Table engine of IBus platform. 

Cang Jie and Quick tables are released under Public Domain and icons are 
released under GPLv2+.

%prep
%setup -q
%__cp COPYING icons/COPYING.icons
%__cp %{SOURCE1} tables/COPYING.tables

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%if %{with bootstrap}
./autogen.sh \
    --prefix=%{_prefix} \
%else
%configure \
%endif
    --enable-cangjie5 \
    --enable-cangjie3 \
    --enable-quick5 \
    --enable-quick3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post
%{_bindir}/ibus-table-createdb  -n cangjie3.db -s cangjie3.txt
%{_bindir}/ibus-table-createdb  -n cangjie5.db -s cangjie5.txt
%{_bindir}/ibus-table-createdb  -n quick3.db -s quick3.txt
%{_bindir}/ibus-table-createdb  -n quick5.db -s quick5.txt

%files
%defattr(-,root,root,-)
%doc AUTHORS icons/COPYING.icons tables/COPYING.tables README
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie3.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/cangjie5.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick3.db
%verify(not md5 size mtime) %{_datadir}/ibus-table/tables/quick5.db
%{_datadir}/ibus-table/icons/cangjie3.svg
%{_datadir}/ibus-table/icons/cangjie5.svg
%{_datadir}/ibus-table/icons/quick3.png
%{_datadir}/ibus-table/icons/quick5.png

%changelog
* Fri Mar 13 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-6.fc11
- Created Public Domain statement in for tables.

* Fri Mar 13 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-5.fc11
- Labelled changes of checksum of db files during post-install stage.
- Moved COPYING to icons for more accurate license coverage.
- Required ibus-table at post-install stage.

* Thu Mar 12 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090309-4
- actually do --no-create-index to half size of binary package

* Thu Mar 12 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090309-3
- add bcond for bootstrap
- add back automake and gettext BRs
- macro usage fixes

* Thu Mar 12 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-2.fc11
- Resolves: rhbz#488010
- Added index creation of Cangjie 3, Cangjie 5, Quick 3, Quick 5 at post-
  installation stage.

* Tue Mar 10 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090309-1.fc11
- Resolves: rhbz#488010
- Update sources tarball to 1.1.0-20090309.
- Removed usage of 'configure' and db creation replaced by usage of autogen.sh.

* Mon Mar  9 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-4.fc11
- Resolves: rhbz#488010
- Corrected license declaration.

* Fri Mar  6 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090220-3
- ibus-table.pc now fixed so don't need to patch
- configure with cangjie3
- fix paths in post script

* Fri Mar 06 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-2.fc11
- Resolves: rhbz#488010
- Added "BuildReq" automake.
- Corrected license version to GPLv3.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-1.fc11
- Resolves: rhbz#488010
- Splited from ibus-table.
